Edit traffic policy resource

Prev Next

Available in Classic and VPC

Edit all configured resource information of a traffic policy.

Note

When you request the Edit policy resource API, it replaces the previously set resource information with the resource information contained in the request body. To edit the information only for a specific resource, see Edit specific policy resource API.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
PUT /gtm/v1/policies/{policyId}/resources

Request headers

For information about the headers common to all Traffic Policy APIs, see Traffic Policy API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
policyId Integer Required Policy ID

Request body

See PolicyRequest for the request body.

Request example

The following is a sample request.

curl --location --request PUT 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/policies/****/resources' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '[
    {
        "active": [
            {
                "content": "***.7.**.57",
                "healthCheckRegionId": 1,
                "type": "PUBLIC_IP"
            }
        ],
        "geoMapDetailId": null,
        "sid": ****,
        "standby": [
            {
                "content": "***.53.**.0",
                "healthCheckRegionId": 1,
                "type": "PUBLIC_IP"
            }
        ]
    }
]'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Traffic Policy APIs, see Traffic Policy API response status codes.

Response example

The following is a sample response.

****

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "Invalid value.<br>Hover your mouse over the displayed area to see the details in a tooltip.",
    "devMessage": "Invalid value.",
    "moreInfo": {
      "validationInfo": [
        {
          "fieldPath": "geoMapId",
          "msg": "geoMapId can't be entered unless the load balancer type is Geo/CIDR."
        },
        {
          "fieldPath": "resourceGroups[0].geoMapDetailId",
          "msg": "geoMapDetailId can't be entered unless the load balancer type is Geo/CIDR."
        },
        {
          "fieldPath": "resourceGroups[0].sid",
          "msg": "sid can only be a minimum of 1 and a maximum of 9,223,372,036,854,775,807."
        },
        {
          "fieldPath": "resourceGroups[0].weighted",
          "msg": "weighted can't be entered unless the load balancer type is Weighted RR."
        }
      ],
      "timestamp": "2022-11-16T10:54:47.191+09:00"
    }
  }
}